--- /usr/X11R6/lib/X11/afterstep/system.steprc.ja_JP.EUC	Thu Oct 26 11:48:04 2000
+++ .steprc	Sat Apr 21 20:09:54 2001
@@ -52,7 +52,7 @@
 
 # Set the number of colors to use on textures.
 # Default is 10 on 8bpp screens and 128 on +16bpp.
-TextureMaxColors 10 10 10 10
+#TextureMaxColors 10 10 10 10
 
 # Texture Colors, given in Standard RGB X numbering
 # Window TitleBar textures
@@ -82,11 +82,11 @@
 # Window Placement #
 #//////////////////#
 # RandomPlacement prevents user interaction while placing windows:
-# RandomPlacement
+RandomPlacement
 
 # SmartPlacement makes new windows pop-up in blank regions of screen 
 # if possible, otherwise falls back to random or interactive placement
-#SmartPlacement
+SmartPlacement
 
 # Percentage of a page (horizontal, vertical) to scroll when the 
 # cursor reaches the edge of a page ... 0 0 turns off scrolling
@@ -100,11 +100,11 @@
 # Raise the Window when it is clicked on, but do not pass the click
 # on to the application ... very handy for text editors
 # Change 1 to 0 in order to get the "normal" ClickToFocus effect
-ClickToFocus 1
+# ClickToFocus 1
 
 # Raise the Window when the mouse travels into it and keep focus
 # until the mouse enters a new window
-#SloppyFocus
+SloppyFocus
 
 # Miscellaneous voodoo commands - they may help you, they may not
 #AppsBackingStore
@@ -128,7 +128,7 @@
 #////////////////////////#
 # Set windows to auto-raise after 325 milliseconds if you like it.
 # Use with SloppyFocus or focus-follows-mouse mode
-#Module Auto 325
+Module Auto 325
 
 # If you don't like the default 150 msec click delay for the complex functions
 # change this.
@@ -182,11 +182,17 @@
 #   the root window (main background)
 # NoHandles -- No bottom bar
 Style "oclock" Sticky, NoTitle, StaysOnTop, WindowListSkip
+Style "xclock" Sticky, NoTitle, WindowListSkip, NoHandles
 Style "*Pager" NoTitle, Sticky, StaysOnTop, WindowListSkip, NoHandles
 Style "xbiff" NoTitle, WindowListSkip
 Style "Minitabx11" StaysOnTop
 Style "Wharf" NoFocus,NoTitle, Sticky, WindowListSkip,StaysOnTop, NoHandles
 Style "Banner"	NoTitle, NoHandles, WindowListSkip, Sticky, StaysOnTop
+Style "xtimer" NoTitle, NoHandles, WindowListSkip, Sticky, StaysOnTop
+Style "XCal"	StaysOnTop
+Style "Ediff"	StaysOnTop
+Style "xcal"	NoTitle, NoHandles, StaysOnTop
+Style "Mozilla IM Status"	NoTitle, NoHandles, WindowListSkip 
 
 ##################################
 # Animated Iconize Customization #
@@ -217,7 +223,7 @@
 # Animate Wharf's compression into one icon
 *WharfAnimateMain
 # Start on the right top side of the screen
-*WharfGeometry -0+0
+*WharfGeometry -0+29
 # One vertical column
 *WharfColumns 1 
 
@@ -228,36 +234,37 @@
   # The last will be furthest
   # This first will shut down AfterStep
 *Wharf Shutdown  shutdown.xpm  Quit
+  # Recycle your AfterStep session (Restart)
+*Wharf Recycler  recycler.xpm  Restart " " afterstep
   # Lock the display and use a random screensaver from the modelist
 *Wharf xlock KeysOnChain.xpm Exec "-" xlock -modelist "braid flame grav pyro qix rock spiral spline swarm worm" -mode random -duration 0 -allowroot -usefirst &
   # Close the Folder
 *Wharf ~Folder
   # Add a "Beat"iful little timepiece 
   # MaxSwallow it in order to fit the full button
-*Wharf asclock nil MaxSwallow "asclock" asclock -12 -shape -position -1-1 &
+*Wharf asclock nil MaxSwallow "asclock" asclock -24 -shape -position -1-1 &
+*Wharf asclock nil  Exec "" xcalendar &
   # Check for mail ... this time only use a regular Swallow in order
   # to capture the application in a 48x48 frame
-*Wharf xbiff   nil   Swallow "xbiff" xbiff -bg "#8e8a9e" -fg "#00003f" -geometry 45x45-1-1 &
+*Wharf xclock  nil   MaxSwallow "xclock" xclock -bg "#8e8a9e" -fg "#00003f" -geometry 1x1-1-1 &
+#*Wharf xbiff   nil   Swallow "xbiff" xbiff -bg "#8e8a9e" -fg "#00003f" -geometry 45x45-1-1 &
   # Examine your computer's load
-*Wharf xload nil  Swallow "xload" xload -nolabel -hl black -bg "#8e8a9e" -geometry 48x48-1-1 &
+*Wharf xload nil  Swallow "xload" xload -nolabel -hl black -bg "#8e8a9e" -fg LightSeaGreen -geometry 48x48-1-1 &
 *Wharf xload nil  Exec "" xterm -ut -T top -e top &
-  # Open up an xterm
-*Wharf xterm monitor.xpm   Exec "-" xterm -geometry 80x25 -sl 256 -sb -ls -T 'xterm@afterstep.org' &
-  # Start up GNU Emacs
-*Wharf emacs text.xpm Exec "-" emacs &
+#*Wharf asmon nil  MaxSwallow "asmon" asmon &
+#*Wharf asmon nil  Exec "" xterm -ut -T top -e top &
+*Wharf xterm Dtterm.xpm Exec "-" kterm -T 'kterm@mistral' &
   # Create amazing art with the freeware masterpiece, The GIMP
-*Wharf gimp 3dpaint.xpm Exec "-" gimp &
-  # Read some mail
-*Wharf pine writeletter.xpm Exec "-" xterm -T "pine" -e pine &
+#*Wharf gimp 3dpaint.xpm Exec "-" gimp &
+#*Wharf xwnmo nil Swallow "Xwnmo" /usr/local/bin/Wnn6/xwnmo -bg "#8e8a9e" &
+*Wharf xeyes nil Swallow "xeyes" xeyes -geometry 1x1-1-1 &
   # Surf the web
-*Wharf Netscape netscape3.xpm Exec "-" netscape &
+*Wharf Netscape communicator.xpm Exec "-" netscape &
   # Swallow a pager to quickly get an outlook on your virtual desktop
   # Click on the different "desks" to change in between them
 *Wharf pager nil SwallowModule "Pager" Pager 0 0
-  # Edit this file in its own window
-*Wharf config interface.xpm Exec "-" xterm -n "Config" -T "AfterStep Configuration" -e vi ~/.steprc &
-  # Recycle your AfterStep session (Restart)
-*Wharf Recycler  recycler.xpm  Restart " " afterstep
+  # X battery check client
+*Wharf battery nil Swallow  "asapm" asapm -u 30 &
 
 #////////////////#
 # Icon Selection #
@@ -265,8 +272,13 @@
 # Select some common icon bitmaps for applications named in
 # column number two ... each icon file must be located in 
 # your PixmapPath (color) or IconPath (b/w) as defined above 
+
 Icon "xterm"        monitor.xpm
+Icon "kterm@rishiri" daemon.xpm
+Icon "kterm@nazuna" Solaris.xpm
+Icon "kterm@icho"   SunLogo.xpm
 Icon "*emacs*"      text.xpm
+Icon "mule*"        text.xpm
 Icon "pine"         writeletter.xpm
 Icon "ghostview"    text.xpm
 Icon "xman"	    xman.xpm
@@ -287,12 +299,12 @@
         # Wait until Wharf is done loading so that our xterm will have 
         # the focus when it is first created
 	Wait	"I"	Wharf
-	Exec	"I"	exec xterm -geometry +4+4 -sl 256 -sb -ls -T 'xterm@afterstep.org' &
+#	Exec	"I"	exec xterm -geometry +4+4 -sl 256 -sb -ls -T 'xterm@afterstep.org' &
         # Place the green carpet image onto the background upon startup
         # I personally recommend xli/xloadimage, but xv seems to be
         # ubiquitous in the unix world so I'll use that 
 	# Exec	"I"	exec xv -root -quit /usr/X11R6/lib/X11/afterstep/backgrounds/carpet.green.jpg
-	Exec	"I"	exec xsetroot -solid DarkGrey
+#	Exec	"I"	exec xsetroot -solid DarkGrey
 EndFunction
 
 # These will load up upon every subsequent Restart
@@ -565,6 +577,7 @@
 Mouse 3		TSIF	A	Function "Maximize_Function"
 Mouse 3         R       A       PopUp "Window Ops"
 Mouse 3         W       M       RaiseLower
+Mouse 1		A	CS	Exec "netscaoe-launcher" "/home/yohta/bin/netscape-launcher" &
 
 #////////////////////#
 # Keyboard Shortcuts #
@@ -589,6 +602,8 @@
 Key Up          A       C       Scroll +0   -100
 Key Down        A       C       Scroll +0   +100
 
+Key w		W	M	Close
+Key z		W	M	Iconify
 #////////////////////#
 # Module Definitions #
 #////////////////////#
@@ -635,3 +650,7 @@
 #*Audio end_windowlist twang.au
 
 # qed
+   Key F12 A A Exec "read-cutbuf" /home/yohta/bin/read-cutbuf &
+
+ButtonNoBorder
+
